//+------------------------------------------------------------------+
//|                                                       Export.mq5 |
//|                                 Copyright 2016, Vasiliy Sokolov. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2016, Vasiliy Sokolov."
#property link      "https://www.mql5.com/ru/users/c-4"
//+------------------------------------------------------------------+
//|  - (FF)                                    |
//+------------------------------------------------------------------+
struct FitnessParams
{
   int      limit_runs;          //     FF
   int      count_params;        //  ,   
   int      current_runs;        //    
   double   current_max_value;   //    
   double   step_value;          //    . 
   double   max_value;           //  ,    ff-
   double   min_value;           //  ,    ff-
   FitnessParams(void);
};
//+------------------------------------------------------------------+
//|   - (FF) -        |
//+------------------------------------------------------------------+
FitnessParams::FitnessParams(void) : limit_runs(1000),
                                   count_params(2),
                                   step_value(0.1),
                                   max_value(10.0),
                                   min_value(-10.0),
                                   current_runs(0)
                                   
{
   current_max_value = min_value;
}
//+------------------------------------------------------------------+
//|   -                               |
//+------------------------------------------------------------------+
#import "..\\Scripts\\FF\\FF.ex5"
   double FF(double &array[]);                       // -,    ,       array
   void   GetFitnessParams(FitnessParams& params);   //   -    FitnessParams
#import
//+------------------------------------------------------------------+
//|                 |
//+------------------------------------------------------------------+
#import "..\\Scripts\\FF\\UserFindExtremum.ex5"
   void FindExtremum(void);
#import